"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * In memory storage
 */
class MemoryStorage {
    constructor() {
        this.values = {};
    }
    getItem(keyName) {
        return this.values.hasOwnProperty(keyName) ? this.values[keyName] : null;
    }
    setItem(keyName, keyValue) {
        this.values[keyName] = keyValue;
    }
    removeItem(keyName) {
        delete this.values[keyName];
    }
    clear() {
        this.values = {};
    }
}
exports.default = MemoryStorage;
//# sourceMappingURL=MemoryStorage.js.map